You are not logged in.

#1 2012-11-10 04:05:18

art3011
Member
Registered: 2012-11-10
Posts: 7

[SOLVED] Cannot mount after upgrading to Gnome 3.6

Hello there,

CDs, DVDs and USB sticks no longer automount after I upgrade to Gnome 3.6.  I can see the DVD or USB on Nautilus as devices, but when I click it says "Unable to access "Disk"" "Not authorized to perform operation" .  This works prior to the Gnome upgrade.

Does anyone have a solution for this problem.

systemd 195-2
polkit 0.107-4
polkit-gnome 0.105-1
nautilus 3.6.2-1

Thanks and regards

Last edited by art3011 (2012-11-11 00:57:06)

Offline

#2 2012-11-10 07:05:03

hadrons123
Member
From: chennai
Registered: 2011-10-07
Posts: 1,249

Re: [SOLVED] Cannot mount after upgrading to Gnome 3.6

what kernel version are you using?
I had same trouble with linux-lts, but then I switched to linux.


LENOVO Y 580 IVYBRIDGE 660M NVIDIA
Unix is user-friendly. It just isn't promiscuous about which users it's friendly with. - Steven King

Offline

#3 2012-11-10 07:11:38

art3011
Member
Registered: 2012-11-10
Posts: 7

Re: [SOLVED] Cannot mount after upgrading to Gnome 3.6

kernel version
uname -a
Linux julie 3.6.6-1-ARCH #1 SMP PREEMPT Mon Nov 5 11:57:22 CET 2012 x86_64 GNU/Linux

linux 3.6.6-1

Offline

#4 2012-11-10 07:16:04

hadrons123
Member
From: chennai
Registered: 2011-10-07
Posts: 1,249

Re: [SOLVED] Cannot mount after upgrading to Gnome 3.6

show us the output of

dmesg | grep sr

LENOVO Y 580 IVYBRIDGE 660M NVIDIA
Unix is user-friendly. It just isn't promiscuous about which users it's friendly with. - Steven King

Offline

#5 2012-11-10 09:22:24

art3011
Member
Registered: 2012-11-10
Posts: 7

Re: [SOLVED] Cannot mount after upgrading to Gnome 3.6

[art@julie ~]$ dmesg | grep sr
[    0.000000] Command line: root=/dev/mapper/julie-root2 ro init=/usr/lib/systemd/systemd
[    0.000000] Kernel command line: root=/dev/mapper/julie-root2 ro init=/usr/lib/systemd/systemd
[    1.156018] sr0: scsi3-mmc drive: 40x/40x writer dvd-ram cd/rw xa/form2 cdda tray
[    1.156206] sr 3:0:0:0: Attached scsi CD-ROM sr0
[    3.377708] systemd[1]: Expecting device dev-mapper-julie\x2dsrv.device...

Offline

#6 2012-11-10 09:39:47

hadrons123
Member
From: chennai
Registered: 2011-10-07
Posts: 1,249

Re: [SOLVED] Cannot mount after upgrading to Gnome 3.6

Looks like the Devices are recognized by the kernel.
Are you able to mout devices manually using a terminal ?


LENOVO Y 580 IVYBRIDGE 660M NVIDIA
Unix is user-friendly. It just isn't promiscuous about which users it's friendly with. - Steven King

Offline

#7 2012-11-10 10:28:47

art3011
Member
Registered: 2012-11-10
Posts: 7

Re: [SOLVED] Cannot mount after upgrading to Gnome 3.6

I can only mount as root, but not as a normal user.  As a normal user, I get this:

[art@julie ~]$ udisksctl mount -b /dev/sr0
Error mounting /dev/sr0: GDBus.Error:org.freedesktop.UDisks2.Error.NotAuthorized: Not authorized to perform operation
[art@julie ~]$

Offline

#8 2012-11-10 11:48:39

hadrons123
Member
From: chennai
Registered: 2011-10-07
Posts: 1,249

Re: [SOLVED] Cannot mount after upgrading to Gnome 3.6

Looks like permission issues.
see if this thread helps
https://bbs.archlinux.org/viewtopic.php?id=144801


LENOVO Y 580 IVYBRIDGE 660M NVIDIA
Unix is user-friendly. It just isn't promiscuous about which users it's friendly with. - Steven King

Offline

#9 2012-11-11 00:47:13

art3011
Member
Registered: 2012-11-10
Posts: 7

Re: [SOLVED] Cannot mount after upgrading to Gnome 3.6

I finally solved this problem.  I removed all customization rules on polkit, then then the system started automounting again.  Not sure why, could be a bug in polkit. Somehow if I create a rule in /etc/polkit-1/rules.d with the following, thing got screwed up.

polkit.addRule(function(action, subject) {
   if (action.id = "org.freedesktop.login1.suspend") {
      return polkit.Result.NO;
      }
   });
polkit.addRule(function(action, subject) {
   if (action.id = "org.freedesktop.login1.hibernate") {
      return polkit.Result.NO;
      }
   });


For now I'll keep the default configuration that came with polkit.

Offline

#10 2012-11-11 00:53:19

art3011
Member
Registered: 2012-11-10
Posts: 7

Re: [SOLVED] Cannot mount after upgrading to Gnome 3.6

Now how do I mark this topic as [Solved].  This is my first post.  Don't know how to update the topic with a [Solved]

Offline

#11 2012-11-11 00:57:03

hadrons123
Member
From: chennai
Registered: 2011-10-07
Posts: 1,249

Re: [SOLVED] Cannot mount after upgrading to Gnome 3.6

You can do that by editing your first post.


LENOVO Y 580 IVYBRIDGE 660M NVIDIA
Unix is user-friendly. It just isn't promiscuous about which users it's friendly with. - Steven King

Offline

#12 2012-11-11 14:20:00

berbae
Member
From: France
Registered: 2007-02-12
Posts: 1,101

Re: [SOLVED] Cannot mount after upgrading to Gnome 3.6

art3011 wrote:

Somehow if I create a rule in /etc/polkit-1/rules.d with the following, thing got screwed up.

polkit.addRule(function(action, subject) {
   if (action.id = "org.freedesktop.login1.suspend") {
      return polkit.Result.NO;
      }
   });
...

From what I see in the doc, the comparison sign is == not =
This is visible in the examples given in 'man polkit' and in this JavaScript syntax link

Because the two rules should not have prevented you from mounting; they forbid the 'suspend' and 'hibernate' commands to anyone even admin.
To keep authorisation to admin, which should be in group 'wheel', something like:

polkit.addRule(function(action, subject) {
   if (action.id == "org.freedesktop.login1.suspend") {
        if (subject.isInGroup("wheel")) {
             return polkit.Result.AUTH_ADMIN;
        } else {
             return polkit.Result.NO;
        }
      }
   });

should be better.

Another way without the 'wheel' group:

polkit.addRule(function(action, subject) {
   if (action.id == "org.freedesktop.login1.suspend") {
        if (subject.user == "root") {
             return polkit.Result.YES;
        } else {
             return polkit.Result.NO;
        }
      }
   });

Last edited by berbae (2012-11-11 15:42:13)

Offline

Board footer

Powered by FluxBB